Get a collection
curl --request GET \
--url https://api.quiva.ai/hub/collections/{collection_type}/{collection_topic} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/hub/collections/{collection_type}/{collection_topic}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/hub/collections/{collection_type}/{collection_topic}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection_type": "node",
"description": "Payment processing node templates",
"modified": 1748533179,
"name": "Payment Nodes",
"sequence": 16,
"subject": "ms.hub.config.collection.node.805092869",
"topic": "805092869",
"type": "created"
}Collections
Get a collection
Retrieves a specific collection
GET
/
hub
/
collections
/
{collection_type}
/
{collection_topic}
Get a collection
Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
List only 'node' or only 'workflow' collections. If this parameter is omitted, both will be listed
Available options:
node, workflow The topic is a hash of the name that was used when a collection was created
Response
Collection retrieved successfully
Name of the collection
Hash of the collection name
Subject identifier for the collection
The sequence number of the last message for this collection on the stream
Timestamp of last modification
Last event type - created or updated
Available options:
created, updated Type of the collection (node or workflow)
Description of the collection